#!/bin/sh

# Setup lenguaje 2012 BlackByte

. /var/htdocs/functions/functions
. /etc/brazilfw/mysarlang.cfg

if [ -n "$FORM_bt_save" ]; then
	FILECONFIG="/etc/brazilfw/mysarlang.cfg"
	setvar "$FILECONFIG" "LANGUAGE" "$FORM_LANG"
    backup > /dev/null 2>&1
	. $FILECONFIG
    rm -fr /var/htdocs/webadmin/mysar/smarty-tmp/*.*
    rm -fr /var/htdocs/webadmin/mysar/www-templates/*.*
    cp /var/htdocs/webadmin/mysar/www-templates.$LANGUAGE/*.* /var/htdocs/webadmin/mysar/www-templates/
fi

case $LANGUAGE in
	pt_BR) BR=1;;
	sp_SP) ES=1;;
    *) EN=1;;
esac

init_html

body " MySAR Languages" "/images/mysar.png"

init_form_config "LANGUAGES" "650px" "Language Config" "/mysar/mysarlang.cgi" "validate_form"
	init_infoitem
		infoitem_form "Language" "$(init_combobox "LANG" "165px" "select_add(this.value);";
		combobox_add "pt_BR" "Português" "$BR";
		combobox_add "sp_SP" "Español" "$ES";
		combobox_add "en_US" "English" "$EN";
		end_combobox)" "Layout language for MySAR"
	end_infoitem
end_form_config

end_body
end_html
