<?php

/* Copyright (C) 2013 Bruno Vescovi <brunovescovi@brazilfw.com.br>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

include_once("../../framework/framework.php");

 if(!file_exists('/etc/brazilfw/mysar/mysar.cfg')){
		mkdir('/etc/brazilfw/mysar/',0777,true);
		$id = fopen('/etc/brazilfw/mysar/mysar.cfg','a');
		fputs($id,"ENABLED='no'".PHP_EOL);
		fputs($id,"LANGUAGE='en_US'".PHP_EOL);
		fclose($id);
	}
   
if ($_POST) { $_POST["MYSAR_ENABLED"]=$_POST["active"]; }


$html = new html();
$win = new window_service_config();
$win->caption="MySAR Config";
$win->icon="/icons/config.png";
$win->width=650;
$win->files("/etc/brazilfw/mysar/mysar.cfg");
$win->command="/etc/init.d/mysar";
$win->running="ls /etc/mysar/mysar.conf 2>/dev/null | wc -l";
$win->actions(true,true,true,false,false);
$win->label("Language",combobox("MYSAR_LANGUAGE",165,array("pt_BR","sp_SP","en_US"),array("Português","Español","English"),"$MYSAR_LANGUAGE","sel_type(this.value);",true),"Layout language for MySAR");
$active=$MYSAR_ENABLED;
$html->initialize();
	$win->show();
$html->finalize();
?>